### Function

# Fwupd Release array_filter_flags

since: 1.9.3

#### Declaration [src]

    GPtrArray*
    fwupd_release_array_filter_flags (
      GPtrArray* rels,
      FwupdReleaseFlags include,
      FwupdReleaseFlags exclude,
      GError** error
    )

#### Description [src]

Creates an array of new releases that match using fwupd_release_match_flags().

Available since: 1.9.3

#### Parameters

`rels`

  Type: An array of `None`

  Releases.

  The data is owned by the caller of the function.

`include`

  Type: `FwupdReleaseFlags`

  `FwupdReleaseFlags`, or `FWUPD_RELEASE_FLAG_NONE`.

`exclude`

  Type: `FwupdReleaseFlags`

  `FwupdReleaseFlags`, or `FWUPD_RELEASE_FLAG_NONE`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `None`

Releases.

The caller of the function takes ownership of the data container, but not the data inside it.